#!/usr/bin/env python

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

def Ss_func(a, m, m_cen):
    N = len(a)
    m_bar = sum(m)/N
    Ss = 6.0/(N-1.0) * (max(a)-min(a))/(max(a)+min(a)) * (3.0*m_cen/(2.0*m_bar))**(1.0/4.0)
    print "a = ", a
    print "m = ", m
    return Ss

def follow(filename):
    a = []
    e = []
    i = []
    m = []
    f = open(filename, "r")
    for line in f.readlines():
        l = line.split()
        j = int(l[0])
        t = float(l[1])
        a.append(float(l[2]))
        e.append(float(l[3]))
        i.append(float(l[4]))
        m.append(float(l[8]))
    f.close()
    return a, m

def readss(filename):
    a = []
    e = []
    i = []
    m = []
    f = open(filename, "r")
    for line in f.readlines():
        l = line.split()
        j = int(l[1])
        t = float(l[0])
        a.append(float(l[2]))
        e.append(float(l[3]))
        i.append(float(l[4]))
        m.append(float(l[5]))
    f.close()
    return a, m

def main():
    f = open("Ss.out", "w")
    f.write("# id & Ss [] & N_pl\n")

    a, m = readss("plt/ss.dat")
    Ss = Ss_func(a, m, M_S/M_E)
    f.write("# ss.dat	%.4f	%d\n" % (Ss, len(a)))

    for i in xrange(0,50):
        a, m = follow("%03d/10My.out" % (i+1))
        Ss = Ss_func(a, m, gms)
        f.write("%03d	%.4f	%d\n" % (i+1, Ss, len(a)))

    f.close()

if __name__ == "__main__":
    main()

